.layout {
  height: 100%;

  position: relative;

  padding-top: 40px;

  display: flex;
  flex-direction: column;

  overflow-y: auto;
}

.withoutBackground {
  padding-top: 50px;
  background: url(../../_assets/background.jpg) no-repeat top center;
  background-size: cover;
}

.background {
  left: 0;
  bottom: 0;
  right: 0;
  top: 0;

  background: url(./assets/background.png) no-repeat bottom left;
  background-size: cover;

  position: fixed;
}

.header {
  margin: 0 auto;
  max-width: 1038px;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: space-between;

  position: relative;
  z-index: 1;

}

.logo {
  transform: translateY(-2px);
}

.content {
  margin-top: 69px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;

  flex-grow: 1;

  padding-bottom: 50px;
}

.title {
  max-width: 664px;
  margin: 0 auto;
}

.actions {
  margin-top: 40px;
}

.divider {
  height: 1px;
  width: 100%;
  background: #fff;
  opacity: 0.3;
  margin: 40px 0;
}

.additionalActions {

}

.image {
  width: 100%;
  background: no-repeat top center;
}

.encryptingImage {
  margin-top: 27px;
  height: 258px;

  .isMobile & {
    margin-top: 72px;
    height: 174px;
    margin-bottom: -10px;
  }
}

.importImage {
  margin-top: 58px;
  height: 230px;
  margin-bottom: -3px;

  .isMobile & {
    margin-top: 84px;
    height: 153px;
    margin-bottom: -1px;
  }
}

.loginSuccessImage {
  margin-top: 54px;
  height: 230px;
  margin-bottom: 1px;

  .isMobile & {
    background-size: contain;
    margin-top: 71px;
    height: 166px;
    margin-bottom: -1px;
  }
}

.createdImage,
.importedImage {
  margin-top: 58px;
  height: 226px;
  margin-bottom: 1px;

  .isMobile & {
    margin-top: 71px;
    height: 166px;
    background-position-x: calc(50% - -17px);
    margin-bottom: -1px;
  }
}

.hint {
  margin-top: 50px;
  margin-bottom: auto;
}

@keyframes preloader {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(.65);
  }
  100% {
    transform: scale(1);
  }
}

.preloaderIcon {
  margin-top: 40px;
  display: grid;
  grid-gap: 7px;
  grid-template-columns: repeat(3, 1fr);

  div {
    background: #fff;
    border-radius: 100%;
    height: 24px;
    width: 24px;
    animation: preloader linear infinite 2s;

    @for $i from 1 to 4 {
      &:nth-child(#{$i}) {
        animation-delay: #{(1 / 3) * $i}s;
      }
    }
  }
}

.preloader {
  margin-top: 24px;
}

.form {
  margin: 130px auto 0;
  max-width: 1160px;
  width: 100%;
}

.isMobile {
  padding-top: 40px;

  .background {
    background-size: 160%;
    background-position: calc(50% + 15px) calc(100% + 3px);
  }

  .header {
    justify-content: center;
  }

  .content {
    margin-top: 59px;
    padding: 0 40px 20px;
  }

  .actions {
    margin-top: 32px;
    padding: 0 12px;
    width: 100%;
  }

  .divider {
    width: calc(100% - 24px);
  }

  .additionalActions {
    padding: 0 12px;
    width: 100%;
  }

  .hint {
    margin-top: 40px;
  }

  .preloaderIcon {
    div {
      height: 19px;
      width: 19px;
    }
  }

  .preloader {
    margin-top: 26px;
  }

  .form {
    margin-top: 40px;
  }
}
